Page MenuHomePhabricator

[Regression wmf.23] Cannot switch to Read tab from VE, getting error "this.emit is not a function"
Closed, ResolvedPublic1 Story Points

Description

[Regression wmf.23]

Steps to reproduce:

  1. Open a page with VE
  2. Make some edits
  3. Click on Read
  4. When the dialog appears click on "Discard Edit"

Observed Result:
The following error appears in the console and it does not switch to Read tab
"Uncaught TypeError: this.emit is not a function"

Event Timeline

Ryasmeen created this task.May 9 2016, 5:37 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 9 2016, 5:37 PM
Danny_B renamed this task from [Regression wmf.23] Cannot switch to Read tab from VE, getting error "this.emit is not a function" to Cannot switch to Read tab from VE, getting error "this.emit is not a function" .May 9 2016, 8:56 PM
Danny_B added a project: Regression.
Danny_B updated the task description. (Show Details)
Ryasmeen renamed this task from Cannot switch to Read tab from VE, getting error "this.emit is not a function" to [Regression wmf.23] Cannot switch to Read tab from VE, getting error "this.emit is not a function" .May 10 2016, 12:58 PM
Jdforrester-WMF triaged this task as High priority.May 10 2016, 7:07 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 288110 had a related patch set uploaded (by Alex Monk):
Fix deactivating VE after user explicitly decideas to discard changes

https://gerrit.wikimedia.org/r/288110

Change 288110 merged by jenkins-bot:
Fix deactivating VE after user explicitly decideas to discard changes

https://gerrit.wikimedia.org/r/288110

Change 288114 had a related patch set uploaded (by Jforrester):
Fix deactivating VE after user explicitly decideas to discard changes

https://gerrit.wikimedia.org/r/288114

Change 288115 had a related patch set uploaded (by Jforrester):
Fix deactivating VE after user explicitly decideas to discard changes

https://gerrit.wikimedia.org/r/288115

Change 288115 merged by jenkins-bot:
Fix deactivating VE after user explicitly decideas to discard changes

https://gerrit.wikimedia.org/r/288115

Change 288114 merged by jenkins-bot:
Fix deactivating VE after user explicitly decideas to discard changes

https://gerrit.wikimedia.org/r/288114

Elitre added a subscriber: Elitre.May 10 2016, 11:13 PM

Change 288126 had a related patch set uploaded (by Jforrester):
Update VE-MW submodule to wmf/1.27.0-wmf.23 HEAD (03d066f)

https://gerrit.wikimedia.org/r/288126

Change 288127 had a related patch set uploaded (by Jforrester):
Update VE-MW submodule to wmf/1.28.0-wmf.1 HEAD (e16be2a)

https://gerrit.wikimedia.org/r/288127

Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptMay 10 2016, 11:27 PM

Change 288126 merged by jenkins-bot:
Update VE-MW submodule to wmf/1.27.0-wmf.23 HEAD (03d066f)

https://gerrit.wikimedia.org/r/288126

Change 288127 merged by jenkins-bot:
Update VE-MW submodule to wmf/1.28.0-wmf.1 HEAD (e16be2a)

https://gerrit.wikimedia.org/r/288127

Mentioned in SAL [2016-05-10T23:49:10Z] <dereckson@tin> Synchronized php-1.27.0-wmf.23/extensions/VisualEditor/modules/ve-mw/init/targets/ve.init.mw.DesktopArticleTarget.js: Fix 'Uncaught TypeError: this.emit is not a function' (T134794) (duration: 00m 28s)

Mentioned in SAL [2016-05-10T23:52:27Z] <dereckson@tin> Synchronized php-1.28.0-wmf.1/extensions/VisualEditor/modules/ve-mw/init/targets/ve.init.mw.DesktopArticleTarget.js: Fix 'Uncaught TypeError: this.emit is not a function' (T134794) (duration: 00m 25s)

Change 304882 had a related patch set uploaded (by Juanmi 1041):
Fix deactivating VE after user explicitly decides to discard changes

https://gerrit.wikimedia.org/r/304882

Change 304882 merged by Jforrester:
Fix deactivating VE after user explicitly decideas to discard changes

https://gerrit.wikimedia.org/r/304882